\name{readGeneFamilies}
\alias{readGeneFamilies}
\title{Read a data file}
\description{
Reads a metagenomic data file from disk.
}
\usage{
readGeneFamilies(file, type.family="detect", sep="\t")
}
\arguments{
\item{file}{name of the filename}
\item{type.family}{type of gene families}
\item{sep}{field separator between the columns}
}
\details{
\code{readGeneFamilies} read a text file with metagenomic data and creats a
list for further analysis. The text file should be in ANSI format and
organized as follows. The left most column should be names 'GeneFamily' and
contain the identifiers for the type of gene familiy used. The following
columns should contain the counts for each of the samples. The first row
should contain the name of the samples. 

\code{readGeneFamilies} can detect which type of gene families that are
used (type.family='detect'). This is achieved matching identifiers against
those supported by ShotgunFunctionalizeR (currently clusters of orthologous
genes (COG) and Enzyme Commision numbers (EC). Gene families of COG type are
assumed if no valid match can be made.

Example files are available at http://shotgun.zool.gu.se.
}
\value{
\code{readGeneFamilies} returns a list with the following elements
\item{Data}{a matrix containing the counts for each gene familiy (rows) and each
sample (columns)}
\item{Annotation}{descriptions for the gene families}
\item{Type}{string which indicate the type of gene familiy used}
}
\seealso{
\code{\link{writeRankings}}
}

\examples{
\dontrun{data<-readGeneFamilies("MetagenomicData.txt")}
}
\keyword{file}
