\name{testGeneFamilies.hypergeometric}
\alias{testGeneFamilies.hypergeometric}
\title{Identified significant gene families between two samples using the
hypergeometric model}
\description{
Test for significant gene families using the hypergeometric model.
}
\usage{
testGeneFamilies.hypergeometric(data)
}
\arguments{
\item{data}{$2\times n$ matrix containing counts}
}
\details{
\code{testGeneFamilies.binomial} performs an exact hypergeometric test for each row of
in the data matrix. Under the assumption that the counts from both
metagenomes follows a multinomial distribution, the procedure test whether
$p_{i1}=p_{i2}$ for each row $i=1, \ldots, n$. If $X_{i1}$ and $X_{i2}$ are
the counts for row $i$ and metagenome 1 and 2 respectively, it follows that
\[
X_{i1}|X_{i1}+X_{i2}=n \sim Hyper(M_1+M_2, M_1, n)
\]
where $M_1$ and $M_2$ are the total number of counts in metagenome 1 and 2
respectively. The function \code{\link{testGeneFamilies.binomial}}
provides a faster binomial approximation. 

\code{testGeneFamilies.hypergeometic} is usually called 
implicitly by using the 'binomial' method in \code{\link{testGeneFamilies}}.
}
\value{\code{testGeneFamilies.binomial} returns a list with the following
elements
\item{PValues}{A list of p-values}
\item{Rankings.detail}{A list additional elements containing details about
the ranking}
}
\seealso{
\code{\link{testGeneFamilies}},
\code{\link{testGeneFamilies.binomial}},
\code{\link{testGeneFamilies.gaussian}},
\code{\link{testGeneFamilies.poisson}}
}
\keyword{htest}
